- [HTTP request](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/organizations.sources.findings/create#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/organizations.sources.findings/create#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/organizations.sources.findings/create#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/organizations.sources.findings/create#body.request_body)
- [Response body](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/organizations.sources.findings/create#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/organizations.sources.findings/create#body.aspect)
- [Try it!](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/organizations.sources.findings/create#try-it)

Creates a finding. The corresponding source must exist for finding creation to succeed.

### IAM Permissions

Requires the following IAM permission on the resource specified in the `parent` field:

- `securitycenter.findings.update`

### HTTP request

Choose an endpoint:
global me-central2 us eu   
`POST https://securitycenter.googleapis.com/v1/{parent=organizations/*/sources/*}/findings`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Resource name of the new finding's parent. Its format should be `organizations/[organizationId]/sources/[source_id]`. |

### Query parameters

| Parameters ||
|---|---|
| `findingId` | `string` Required. Unique identifier provided by the client within the parent scope. It must be alphanumeric and less than or equal to 32 characters and greater than 0 characters in length. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/organizations.sources.findings#Finding`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/organizations.sources.findings#Finding`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/securitycenter`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).